unit rdmMain;

{$WARN SYMBOL_PLATFORM OFF}

interface


uses
  Windows, Messages, SysUtils, Classes, ComServ, ComObj, VCLCom, DataBkr,
  DBClient, DB, ADODB, Provider, Midas_AppServer_TLB, StdVcl,Forms;

const
  C_UDL_FileName = 'DataBase.udl';
  C_MDB_FileName = 'DataBase.mdb';

  C_MDB_ConnectionString = 'Provider=Microsoft.Jet.OLEDB.4.0;User ID=Admin;Data Source=%s';

type
  TMain_RDM = class(TRemoteDataModule, IAppServer_RDM)
    DBConnection: TADOConnection;

{#DataComponentList}

    procedure DBConnectionBeforeConnect(Sender: TObject);
  private
    { Private declarations }
  protected
    class procedure UpdateRegistry(Register: Boolean; const ClassID, ProgID: string); override;
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

class procedure TMain_RDM.UpdateRegistry(Register: Boolean; const ClassID, ProgID: string);
begin
  if Register then
  begin
    inherited UpdateRegistry(Register, ClassID, ProgID);
    EnableSocketTransport(ClassID);
    EnableWebTransport(ClassID);
  end else
  begin
    DisableSocketTransport(ClassID);
    DisableWebTransport(ClassID);
    inherited UpdateRegistry(Register, ClassID, ProgID);
  end;
end;

procedure TMain_RDM.DBConnectionBeforeConnect(Sender: TObject);
var ExecDir : string;
begin
  ExecDir := ExtractFilePath(Application.Exename);
  if FileExists(ExecDir+C_MDB_FileName) then
    DBConnection.ConnectionString := Format(C_MDB_ConnectionString,[ExecDir+C_MDB_FileName])
  else if FileExists(ExecDir+C_UDL_FileName) then
    DBConnection.ConnectionString := 'FILE NAME=' +ExecDir+C_UDL_FileName;
end;

initialization
  TComponentFactory.Create(ComServer, TMain_RDM,
    Class_TAppServer_RDM, ciMultiInstance, tmApartment);
end.
