unit uConfig;

interface


uses
  Windows,SysUtils, Classes,inifiles,Forms ;

const

  C_ConfigParam_IniFileName = 'Config.ini';
  C_AppServer_SectionName = 'AppServer';
  C_ConnectionType_DCOM = 0;
  C_ConnectionType_Socket = 1;
  C_ConnectionType_Web = 2;


type
  TAppServerParam=record
    ConnectionType : Integer; // 0: DCOMConnection; 1:SocketConnection; 2:WebConnection
    Location : string;
    Port : Integer;
    ServerGUID : string;
  end;
  TConfigParam=record
    AppServerParam : TAppServerParam;
  end;


procedure LoadConfigParamToGlobalVar;

//Global Variable

var G_ConfigParam : TConfigParam;

implementation

procedure  LoadConfigParamToGlobalVar;
var Ini : TIniFile;
begin
  Ini := TIniFile.Create(ExtractFilePath(Application.ExeName)+C_ConfigParam_IniFileName);
  G_ConfigParam.AppServerParam.ConnectionType := Ini.ReadInteger(C_AppServer_SectionName,'ConnectionType',0);
  G_ConfigParam.AppServerParam.Location := Ini.ReadString(C_AppServer_SectionName,'Location','127.0.0.1');
  G_ConfigParam.AppServerParam.Port := Ini.ReadInteger(C_AppServer_SectionName,'Port',211);
  G_ConfigParam.AppServerParam.ServerGUID := Ini.ReadString(C_AppServer_SectionName,'ServerGUID','');

  Ini.Free;
end;


initialization
  LoadConfigParamToGlobalVar;

finalization


end.
